Python pip3.5 fails to find libxml2

tobik@

Developer
I installed devel/libxml2 from the ports. However, pip3.5 install lxml fails because its cc claims to not be able to find libxml2. Does anyone have a clue?
I just tried this here and it just works.

Please share a more detailed error message. Running pip3.5 install -vvv lxml may provide more insight into your problem.

SirDice's solution should work if you override the default Python version to be 3.5. But there are good reasons to not use the ports tree version, like e.g. installing into a virtualenv, etc. It really should just work.
 
It was not. I installed it now and the error is gone, thanks. :)

pip3.5 tried to install it (according to the logs) itself but failed. I wonder what went wrong...
 
Top